Name:          kdepim-runtime
Version:       18.08.0
Release:       1mamba
Summary:       KDE PIM Runtime Environment
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org/
Source:        http://download.kde.org/stable/applications/%{version}/src/kdepim-runtime-%{version}.tar.xz
Patch0:        kdepim-runtime-4.13.0-knotes-migrator.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-calendar-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-notes-devel
BuildRequires: libboost-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libical-devel
BuildRequires: libkalarmcal-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdav-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libkholidays-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmbox-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkolab-devel
BuildRequires: libkolabxml-devel
BuildRequires: libkparts-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libsasl2-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxerces-c-devel
## AUTOBUILDREQ-END
BuildRequires: libkgapi-devel
BuildRequires: cmake
#BuildRequires: kdepimlibs-devel >= %{version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
%{summary}.

%package devel
Summary:       Development files for for %{name}
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains header files needed if you wish to build applications based on %{name}.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   update-mime-database %{_kde5_mimedir} &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%posttrans
update-desktop-database -q &>/dev/null
update-mime-database %{_kde5_mimedir} >&/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kdepim-runtime.*categories
%{_bindir}/akonadi_*
%{_bindir}/gidmigrator
%{_libdir}/libakonadi-filestore.so.*
%{_libdir}/libakonadi-singlefileresource.so.*
%{_libdir}/libfolderarchivesettings.so.*
%{_libdir}/libkmindexreader.so.*
%{_libdir}/libmaildir.so.*
#%{_libdir}/sasl2/libkdexoauth2.so
#%{_libdir}/sasl2/libkdexoauth2.so.*
#%{_libdir}/qt5/plugins/akonadi_serializer_*.so
%{_libdir}/qt5/plugins/kf5/kio/*.so
%{_datadir}/akonadi/accountwizard/*
%{_datadir}/akonadi/agents/*.desktop
%{_datadir}/akonadi/firstrun/*
#%{_datadir}/akonadi/plugins/serializer/akonadi_serializer_*.desktop
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.Maildir.Settings.xml
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%{_datadir}/icons/hicolor/*/apps/ox.png
%{_datadir}/icons/hicolor/*/apps/akonadi-ews.png
%{_datadir}/knotifications5/akonadi_*.notifyrc
%{_datadir}/kservices5/*.protocol
%{_datadir}/kservices5/akonadi/davgroupware-providers/*.desktop
%{_kde5_servicetypesdir}/davgroupwareprovider.desktop
%{_datadir}/mime/packages/kdepim-mime.xml
%{_datadir}/doc/HTML/en/kioslave5/pop3/*
%lang(ca) %{_datadir}/doc/HTML/ca/kioslave5/pop3
%lang(de) %{_datadir}/doc/HTML/de/kioslave5/pop3
%lang(es) %{_datadir}/doc/HTML/es/kioslave5/pop3
%lang(it) %{_datadir}/doc/HTML/it/kioslave5/pop3
%lang(nl) %{_datadir}/doc/HTML/nl/kioslave5/pop3
%lang(pt) %{_datadir}/doc/HTML/pt/kioslave5/pop3
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/kioslave5/pop3
%lang(ru) %{_datadir}/doc/HTML/ru/kioslave5/pop3
%lang(sr) %{_datadir}/doc/HTML/sr/kioslave5/pop3
%lang(sv) %{_datadir}/doc/HTML/sv/kioslave5/pop3
%lang(uk) %{_datadir}/doc/HTML/uk/kioslave5/pop3
%doc COPYING COPYING.LIB

%changelog
* Thu Aug 23 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Fri Jun 15 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Mon May 14 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat May 05 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Sat Feb 10 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Mon Jan 08 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Tue Aug 29 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Tue Mar 14 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Sat Jan 28 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Wed Oct 19 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 16.04.2-1mamba
- update to 16.04.2

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.2-1mamba
- update to 15.12.2

* Tue Feb 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 15.12.1-1mamba
- update to 15.12.1

* Sun Aug 02 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.10-1mamba
- update to 4.14.10

* Thu May 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.8-1mamba
- update to 4.14.8

* Sat Apr 18 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.7-1mamba
- update to 4.14.7

* Thu Mar 12 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.6-1mamba
- update to 4.14.6

* Sun Feb 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.5-1mamba
- update to 4.14.5

* Mon Jan 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.14.4-1mamba
- update to 4.14.4

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Fri Sep 26 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Tue Jun 10 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Mon Apr 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.0-2mamba
- patch to fix knotes migration to akonadi (see https://bugs.kde.org/show_bug.cgi?id=333640)

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sun Dec 22 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.3-2mamba
- rebuilt with boost 1.55

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Tue Oct 01 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.4-2mamba
- libboost 1.52 mass rebuild

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Fri Apr 06 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 20 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2011 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Mon Aug 08 2011 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Sat Jan 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.9-1mamba
- update to 4.4.9

* Sun Oct 24 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.7-1mamba
- update to 4.4.7

* Thu Sep 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.6-1mamba
- update to 4.4.6

* Wed Sep 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.5-2mamba
- rebuilt with kdelibs and kdepimlibs 4.5.1

* Thu Jul 01 2010 Automatic Build System <autodist@mambasoft.it> 4.4.5-1mamba
- automatic update to 4.4.5 by autodist

* Wed Jun 02 2010 Automatic Build System <autodist@mambasoft.it> 4.4.4-1mamba
- automatic update to 4.4.4 by autodist

* Mon May 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-2mamba
- ... add a changelog entry

* Mon May 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-1mamba
- update to 4.4.3

* Thu Apr 01 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.2-1mamba
- update to 4.4.2 (Codename "Colibri")

* Wed Mar 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.1-1mamba
- update to 4.4.1 (Codename "Clara")

* Wed Feb 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.0-1mamba
- update to 4.4.0 (Codename "Caikaku")

* Wed Feb 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.3.98-1mamba
- update to 4.3.98 (KDE Software Compilation 4.4 rc3 Codename "Coming Closer")

* Tue Feb 02 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.3.95-1mamba
- package created by autospec
